#
# spec file for package kdoctools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define lname   libKF5DocTools5
%define _tar_path 5.32
Name:           kdoctools
Version:        5.32.0
Release:        1.11
%define kf5_version %{version}
BuildRequires:  cmake >= 3.0
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  docbook_4
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  karchive-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{_tar_path}
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  perl-URI
BuildRequires:  cmake(Qt5Core) >= 5.6.0
%if %{with lang}
Recommends:     %{name}-lang = %{version}
%endif
Summary:        Create documentation from DocBook
License:        LGPL-2.1+ and MIT
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Provides tools to generate documentation in various format from DocBook files.

%package -n %lname
Summary:        Create documentation from DocBook
Group:          System/Libraries
Recommends:     %{name} = %{version}
%requires_ge libQt5Core5

%description -n %lname
Provides tools to generate documentation in various format from DocBook files.

%package devel
Summary:        Create documentation from DocBook
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       %{name} = %{version}
Requires:       docbook-xsl-stylesheets
Requires:       extra-cmake-modules >= 1.8.0
Requires:       libxslt-devel
Requires:       cmake(Qt5Core) >= 5.6.0
Provides:       %{name}-devel-static = %{version}

%description devel
Provides tools to generate documentation in various format from DocBook files.
Development files.

%prep
%setup -q

%lang_package
%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5 %{name}.lang
echo "%doc %lang(ca) %{_kf5_mandir}/ca" >>%{name}.lang
echo "%doc %lang(de) %{_kf5_mandir}/de" >>%{name}.lang
echo "%doc %lang(es) %{_kf5_mandir}/es" >>%{name}.lang
echo "%doc %lang(it) %{_kf5_mandir}/it" >>%{name}.lang
echo "%doc %lang(nl) %{_kf5_mandir}/nl" >>%{name}.lang
echo "%doc %lang(pt_BR) %{_kf5_mandir}/pt_BR" >>%{name}.lang
echo "%doc %lang(ru) %{_kf5_mandir}/ru" >>%{name}.lang
echo "%doc %lang(sv) %{_kf5_mandir}/sv" >>%{name}.lang
echo "%doc %lang(uk) %{_kf5_mandir}/uk" >>%{name}.lang
%endif

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%if %{with lang}
%files lang -f %{name}.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING* README* LICENSE
%doc %{_kf5_htmldir}/*/
%{_kf5_datadir}/kdoctools/
%{_kf5_bindir}/meinproc5
%{_kf5_bindir}/checkXML5
%doc %lang(en) %{_kf5_mandir}/*/meinproc5.*
%doc %lang(en) %{_kf5_mandir}/*/checkXML5.*
%doc %lang(en) %{_kf5_mandir}/*/kf5options.*
%doc %lang(en) %{_kf5_mandir}/*/qt5options.*

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5DocTools.so.*

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/cmake/KF5DocTools/
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_libdir}/libKF5DocTools.so

%changelog
* Mon Mar 20 2017 lbeltrame@kde.org
- Add a new subpackage to track the new shared library provided
  by doctools
* Sun Mar 19 2017 lbeltrame@kde.org
- Update to 5.32.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.32.0.php
- Changes since 5.31.0:
  * meinproc5: link to the files, not to the library
  * Commit translations from l10n-kf5
  * Remove the KF5::XsltKde static library
  * Port to categorized logging and clean includes
  * Export a proper shared library for KDocTools
  * Upgrade ECM and KF5 version requirements for 5.32.0 release.
  * Add function to extract a single file
  * Revert "Port to categorized logging and clean includes"
  * Port to categorized logging and clean includes
  * Fail the build early if xmllint is not available
  * Upgrade KF5 version to 5.32.0.
  * add entity for application Kst
* Thu Feb  9 2017 hrvoje.senjan@gmail.com
- Update to 5.31.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.31.0.php
* Sun Jan  8 2017 hrvoje.senjan@gmail.com
- Update to 5.30.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.30.0.php
* Sun Dec  4 2016 hrvoje.senjan@gmail.com
- Update to 5.29.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.29.0.php
* Sat Nov  5 2016 hrvoje.senjan@gmail.com
- Update to 5.28.0
  * Fix 'checkXML5 generates html files in workdir for
    valid docbooks' (kde#371987)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.28.0.php
* Sun Oct  2 2016 hrvoje.senjan@gmail.com
- Update to 5.27.0
  * Fix 'checkXML5 prints generated html to stdout for valid docbooks'
    (kde#369415)
  * Fix bug not been able to run native tools in package using cross
    compiled kdoctools
  * Setup targets for cross compiling running kdoctools from
    other packages
  * Add cross compiling support for docbookl10nhelper
  * Add cross compile support for meinproc5
  * Convert checkxml5 into a qt executable for cross platform support
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.27.0.php
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * Add paths for config, cache + data to general.entities
  * Made up-to-date with the English version
  * Add Space and Meta key entities to
    src/customization/en/user.entities
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * Allow KDocTools to always locate at least its own installed stuff
  * Use CMAKE_INSTALL_DATAROOTDIR to look for docbook instead of share
  * Update qt5options manpage docbook to qt 5.4
  * Update kf5options manpage docbook
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Add commonly used entities for keys to en/user.entities
  * Update man-docbook template
  * Update book template + man template + add arcticle template
  * Call kdoctools_create_handbook only for index.docbook
    (kde#357428)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Added entity applications
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Use unicode characters for callouts
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * Update pt_BR entities
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * Sync Catalan user.entities with English (en) version.
  * Add entities for sebas and plasma-pa
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * Change sentence about reporting bugs, ack'ed by dfaure
  * Adapt german user.entities to en/user.entities
  * Update general.entities: change markup for frameworks + plasma
    from application to productname
  * Update en/user.entities
  * Update book and man page templates
  * Use CMAKE_MODULE_PATH in cmake_install.cmake
  * Update general.entities
  * Search for required perl modules.
  * Namespace a helper macro in the installed macros file.
  * Adapted key name tranlations to standard tranlations provided
    by Termcat
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * Update K5 docbook templates
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Update translations
  * Update customization/ru
  * Fix entities with wrong links
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * Fix the build on MacOSX when using Homebrew
  * Better styling of media objects (images, ...) in documentation
  * Encode invalid chars in paths used in XML DTDs, avoiding errors
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
- Drop karchive-devel from devel package requires
- Added perl-URI buildrequires
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
* Thu Oct 16 2014 vpelcak@suse.com
- moving meinproc and checkXML5 and manpages to main package.
  Reason is to make these tools available to translators, who use
  automated tools for translation handling (pology) without need
  to install devel package which brings many otherwise unnecessary
  dependencies
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
- Added ki18n-devel for new lang subpackage
- Let main package Recommend lang package
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Define kf5_version within package
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Fri Feb 21 2014 hrvoje.senjan@gmail.com
- Mark license as LGPL-2.1+ and MIT
- Include license as %%doc
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init kdoctools package
